PETSc version 3.15.5
Fix/Edit manual page

# DMShellSetCreateDomainDecomposition

Set the routine used to create a domain decomposition for the shell DM

### Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellSetCreateDomainDecomposition(DM dm, PetscErrorCode (*decomp)(DM,PetscInt*,char***, IS**,IS**,DM**))

Logically Collective on dm

Input Arguments

| dm | - the shell DM
| decomp | - the routine to create the decomposition

### See Also

DMCreateDomainDecomposition(), DMShellSetContext(), DMShellGetContext()

### Level

advanced

### Location

src/dm/impls/shell/dmshell.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages